package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.CategoriaBloqueioImpPosteriorDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaBloqueioImpPosterior;
import com.rjconsultores.ventaboletos.service.CategoriaBloqueioImpPosteriorService;

@Service("categoriaBloqueioImpPosteriorService")
public class CategoriaBloqueioImpPosteriorServiceImpl implements CategoriaBloqueioImpPosteriorService {

    @Autowired
    private CategoriaBloqueioImpPosteriorDAO categoriaDAO;

    public List<CategoriaBloqueioImpPosterior> obtenerTodos() {
        return categoriaDAO.obtenerTodos();
    }

    public CategoriaBloqueioImpPosterior obtenerID(Integer id) {
        return categoriaDAO.obtenerID(id);
    }

    @Transactional
    public CategoriaBloqueioImpPosterior suscribir(CategoriaBloqueioImpPosterior entidad) {

        return categoriaDAO.suscribir(entidad);
    }

    @Transactional
    public CategoriaBloqueioImpPosterior actualizacion(CategoriaBloqueioImpPosterior entidad) {

        return categoriaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(CategoriaBloqueioImpPosterior entidad) {

        categoriaDAO.borrar(entidad);
    }
}
